org.apache.storm.solr.config

## Class SolrConfig

- java.lang.Object
- - org.apache.storm.solr.config.SolrConfig

- All Implemented Interfaces:
    Serializable

      public class SolrConfig
      extends Object
      implements Serializable

  Class containing Solr configuration to be made available to Storm Solr bolts. Any configuration needed in the bolts should be put in this class.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrConfig(String zkHostString)` Constructor.
    `SolrConfig(String zkHostString, int tickTupleInterval)` Constructor.
    `SolrConfig(String zkHostString, int tickTupleInterval, boolean enableKerberos)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTickTupleInterval()`
    `String` | `getZkHostString()`
    `boolean` | `isKerberosEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrConfig

          public SolrConfig(String zkHostString)

      Constructor.

      Parameters:
        `zkHostString` - Zookeeper host string as defined in the `CloudSolrClient` constructor

    - #### SolrConfig

          public SolrConfig(String zkHostString,
                            int tickTupleInterval)

      Constructor.

      Parameters:
        `zkHostString` - Zookeeper host string as defined in the `CloudSolrClient` constructor
        `tickTupleInterval` - interval for tick tuples

    - #### SolrConfig

          public SolrConfig(String zkHostString,
                            int tickTupleInterval,
                            boolean enableKerberos)

      Constructor.

      Parameters:
        `zkHostString` - Zookeeper host string as defined in the `CloudSolrClient` constructor
        `tickTupleInterval` - interval for tick tuples
        `enableKerberos` - true to enable kerberos else false

  - ### Method Detail

    - #### getZkHostString

          public String getZkHostString()

    - #### getTickTupleInterval

          public int getTickTupleInterval()

    - #### isKerberosEnabled

          public boolean isKerberosEnabled()

Copyright © 2021 The Apache Software Foundation. All rights reserved.